Forum: Installation

Post: Ant build from GIT HUB failing

Ant build from GIT HUB failing
sumitk1
Jan 27, 2012
Hi,
I just cloned the git repository git://github.com/VoltDB/voltdb.git and was trying to build it but I am getting the following error:


Buildfile: build.xml

catalog:
[exec] Warning: --directory (-d) option is undocumented and no-op.
[exec] Use -rf for deleting non-empty dirs
[exec] Warning: --directory (-d) option is undocumented and no-op.
[exec] Use -rf for deleting non-empty dirs

compile_core:

BUILD FAILED
/data/www/dev-sumit/voltDB/voltdb/build.xml:848: Could not create task or type of type: depend.

Ant could not find the task or a class this task relies upon.





I have ANT 1.6.5 so do I need to upgrade it?


I have gotten VoltDB 2.1.1 up and working so is there any major difference in these versions?


Thanks
Sumit
We use Ant 1.7 with some extras
jhugg
Jan 28, 2012
On CentOS 5 or 6, we install ant (1.7), ant-nodeps, ant-junit, ant-scripts, ant-javadoc and ant-trax. I'm not sure they're all required. On Ubuntu we install ant (1.7) and ant-optional.


Try upgrading ant. If that doesn't work, let us know a bit more about your target platform and we'll see what we can do.